Curve< T >::CheckTEqual Struct Reference

Used when finding values in the m_samples vector. More...

Inheritance diagram for Curve< T >::CheckTEqual:

## Public Member Functions

| CheckTEqual (float match)
bool | operator() (std::pair< float, T > test)

## Private Attributes

float | m_match

## Detailed Description

template<typename T>
struct Curve< T >::CheckTEqual

Used when finding values in the m_samples vector.

Definition at line 147 of file Curve.h.

## Constructor & Destructor Documentation

## CheckTEqual()

template<typename T>

Curve< T >::CheckTEqual::CheckTEqual | ( | float | match | ) |

inline

Definition at line 150 of file Curve.h.

: m_match(match)
{ }
Curve
Implements a simple function curve where samples of type T can be added along a 1D axis....
Definition Curve.h:96
Curve::CheckTEqual::m_match
float m_match
Definition Curve.h:158

References m_match, and match().

## Member Function Documentation

## operator()()

template<typename T>

bool Curve< T >::CheckTEqual::operator() | ( | std::pair< float, T > | test | ) |

inline

Definition at line 153 of file Curve.h.

{
return test.first == m_match;
}

References m_match.

## Member Data Documentation

## m_match

template<typename T>

float Curve< T >::CheckTEqual::m_match

private

Definition at line 158 of file Curve.h.

Referenced by CheckTEqual(), and operator()().

The documentation for this struct was generated from the following file:

- export/Curve.h